SystemOrganization addCategory: #ConfigurationOfGTEventRecorder!

Object subclass: #ConfigurationOfGTEventRecorder
	instanceVariableNames: 'project'
	classVariableNames: 'LastVersionLoad'
	poolDictionaries: ''
	category: 'ConfigurationOfGTEventRecorder'!

!ConfigurationOfGTEventRecorder class methodsFor: 'development support' stamp: 'JurajKubelka 10/15/2015 18:44'!
DevelopmentSupport

"See the methods in the 'development support' category on the class-side of MetacelloBaseConfiguration. Decide what development support methods you would like to use and copy them the the class-side of your configuration."
	<apiDocumentation>
! !

!ConfigurationOfGTEventRecorder class methodsFor: 'private' stamp: 'JurajKubelka 10/15/2015 18:44'!
baseConfigurationClassIfAbsent: aBlock

	^Smalltalk
		at: #MetacelloBaseConfiguration
		ifAbsent: [ 
			self ensureMetacelloBaseConfiguration.
			Smalltalk at: #MetacelloBaseConfiguration ifAbsent: aBlock ].
! !

!ConfigurationOfGTEventRecorder class methodsFor: 'private' stamp: 'JurajKubelka 10/15/2015 18:44'!
ensureMetacello

	(self baseConfigurationClassIfAbsent: []) ensureMetacello! !

!ConfigurationOfGTEventRecorder class methodsFor: 'private' stamp: 'JurajKubelka 10/15/2015 18:44'!
ensureMetacelloBaseConfiguration

	Smalltalk
		at: #MetacelloBaseConfiguration
		ifAbsent: [ 
			| repository version |
			repository := MCHttpRepository location: 'http://seaside.gemstone.com/ss/metacello' user: '' password: ''.
			repository
				versionReaderForFileNamed: 'Metacello-Base-DaleHenrichs.2.mcz'
				do: [ :reader | 
					version := reader version.
					version load.
					version workingCopy repositoryGroup addRepository: repository ] ]! !

!ConfigurationOfGTEventRecorder class methodsFor: 'metacello tool support' stamp: 'JurajKubelka 10/15/2015 18:44'!
isMetacelloConfig
	"Answer true and the Metacello tools will operate on you"
	
	^true! !

!ConfigurationOfGTEventRecorder class methodsFor: 'loading' stamp: 'JurajKubelka 10/15/2015 18:44'!
load
	"Load the #stable version defined for this platform. The #stable version is the version that is recommended to be used on this platform."

	"self load"

	<apiDocumentation>
	^(self project version: #stable) load! !

!ConfigurationOfGTEventRecorder class methodsFor: 'loading' stamp: 'JurajKubelka 10/15/2015 18:44'!
loadBleedingEdge
	"Load the latest versions of the mcz files defined for this project. It is not likely that the #bleedingEdge has been tested."

	"self loadBleedingEdge"

	<apiDocumentation>
	^(self project version: #bleedingEdge) load! !

!ConfigurationOfGTEventRecorder class methodsFor: 'loading' stamp: 'JurajKubelka 10/15/2015 18:44'!
loadDevelopment
	"Load the #development version defined for this platform. The #development version will change over time and is not expected to be stable."

	"self loadDevelopment"

	<apiDocumentation>
	^(self project version: #development) load! !

!ConfigurationOfGTEventRecorder class methodsFor: 'accessing' stamp: 'JurajKubelka 10/15/2015 18:44'!
project

	^self new project! !

!ConfigurationOfGTEventRecorder class methodsFor: 'development support' stamp: 'JurajKubelka 10/15/2015 18:44'!
validate
	"Check the configuration for Errors, Critical Warnings, and Warnings (see class comment for MetacelloMCVersionValidator for more information). 
	Errors identify specification issues that will result in unexpected behaviour when you load the configuration. 
	Critical Warnings identify specification issues that may result in unexpected behavior when you load the configuration.
	Warnings identify specification issues that are technically correct, but are worth take a look at."

	"self validate"

	<apiDocumentation>
	self ensureMetacello.
	^ ((Smalltalk at: #MetacelloToolBox) validateConfiguration: self debug: #() recurse: false) explore! !

!ConfigurationOfGTEventRecorder methodsFor: 'baselines' stamp: 'JurajKubelka 10/30/2015 09:07'!
baseline01: spec
	<version: '0.1-baseline'>

	spec for: #'common' do: [
		spec blessing: #'baseline'.
		spec repository: 'http://smalltalkhub.com/mc/Moose/GToolkit/main/'.
		spec project: 'Ston' with: [
				spec
					className: #ConfigurationOfSton;
					versionString: #'stable';
					repository: 'http://ss3.gemstone.com/ss/STON' ].
		spec 
			package: #'GT-EventRecorder' with: [
				spec requires: #('Ston' ). ];
			package: 'GT-EventRecorder-Tests' with: [
				spec requires: #(#'GT-EventRecorder' ). ].
		spec 
			group: 'Core' with: #('GT-EventRecorder');
			group: 'Tests' with: #('GT-EventRecorder-Tests');
			group: 'default' with: #('Core' 'Tests') ].
! !

!ConfigurationOfGTEventRecorder methodsFor: 'accessing' stamp: 'JurajKubelka 10/15/2015 18:44'!
customProjectAttributes
	 "Edit to return a collection of any custom attributes e.g. for conditional loading: Array with: #'Condition1' with: #'Condition2.
	For more information see: http://code.google.com/p/metacello/wiki/CustomProjectAttrributes"

	^ #().! !

!ConfigurationOfGTEventRecorder methodsFor: 'symbolic versions' stamp: 'JurajKubelka 7/13/2016 10:06'!
development: spec
	<symbolicVersion: #'development'>

	spec for: #'common' version: '0.1-baseline'.

	spec for: #'pharo5.x' version: '0.1-baseline'.
! !

!ConfigurationOfGTEventRecorder methodsFor: 'accessing' stamp: 'JurajKubelka 10/15/2015 18:44'!
project

	^ project ifNil: [ 
		"Bootstrap Metacello if it is not already loaded"
		(self class baseConfigurationClassIfAbsent: []) ensureMetacello.
		"Construct Metacello project"
		project := MetacelloMCProject new projectAttributes: self customProjectAttributes. 
		(Smalltalk at: #MetacelloVersionConstructor) on: self project: project.
		project loadType: #linear. "change to #atomic if desired"
		project ]! !

!ConfigurationOfGTEventRecorder methodsFor: 'symbolic versions' stamp: 'JurajKubelka 7/13/2016 10:06'!
stable: spec
	<symbolicVersion: #'stable'>

	spec for: #'common' version: '0.19'.
! !

!ConfigurationOfGTEventRecorder methodsFor: 'versions' stamp: 'AndreiChis 2/28/2016 12:11'!
version010: spec
	<version: '0.10' imports: #('0.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'GToolkit version 3.14'.
		spec author: 'AndreiChis'.
		spec timestamp: '2/28/2016 12:11'.
		spec project: 'Ston' with: '0.17'.
		spec 
			package: #'GT-EventRecorder' with: 'GT-EventRecorder-AndreiChis.60';
			package: 'GT-EventRecorder-Tests' with: 'GT-EventRecorder-Tests-JurajKubelka.36'. ].
! !

!ConfigurationOfGTEventRecorder methodsFor: 'versions' stamp: 'AndreiChis 3/17/2016 10:50'!
version011: spec
	<version: '0.11' imports: #('0.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'GTools Version 3.15'.
		spec author: 'AndreiChis'.
		spec timestamp: '3/17/2016 10:50'.
		spec project: 'Ston' with: '0.17'.
		spec 
			package: #'GT-EventRecorder' with: 'GT-EventRecorder-JurajKubelka.61';
			package: 'GT-EventRecorder-Tests' with: 'GT-EventRecorder-Tests-JurajKubelka.36'. ].
! !

!ConfigurationOfGTEventRecorder methodsFor: 'versions' stamp: 'AndreiChis 3/17/2016 15:05'!
version012: spec
	<version: '0.12' imports: #('0.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'Fix for issue 17836'.
		spec author: 'AndreiChis'.
		spec timestamp: '3/17/2016 15:05'.
		spec project: 'Ston' with: '0.17'.
		spec 
			package: #'GT-EventRecorder' with: 'GT-EventRecorder-AndreiChis.62';
			package: 'GT-EventRecorder-Tests' with: 'GT-EventRecorder-Tests-JurajKubelka.36'. ].
! !

!ConfigurationOfGTEventRecorder methodsFor: 'versions' stamp: 'AndreiChis 3/23/2016 14:21'!
version013: spec
	<version: '0.13' imports: #('0.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'GToolkit version 3.16'.
		spec author: 'AndreiChis'.
		spec timestamp: '3/23/2016 14:21'.
		spec project: 'Ston' with: '0.17'.
		spec 
			package: #'GT-EventRecorder' with: 'GT-EventRecorder-AndreiChis.62';
			package: 'GT-EventRecorder-Tests' with: 'GT-EventRecorder-Tests-JurajKubelka.36'. ].
! !

!ConfigurationOfGTEventRecorder methodsFor: 'versions' stamp: 'AndreiChis 3/29/2016 23:44'!
version014: spec
	<version: '0.14' imports: #('0.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'GToolkit version 3.17'.
		spec author: 'AndreiChis'.
		spec timestamp: '3/29/2016 23:44'.
		spec project: 'Ston' with: '0.17'.
		spec 
			package: #'GT-EventRecorder' with: 'GT-EventRecorder-AndreiChis.64';
			package: 'GT-EventRecorder-Tests' with: 'GT-EventRecorder-Tests-JurajKubelka.37'. ].
! !

!ConfigurationOfGTEventRecorder methodsFor: 'versions' stamp: 'AndreiChis 4/18/2016 22:57'!
version015: spec
	<version: '0.15' imports: #('0.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'GToolkit version 3.20 (case 18022)'.
		spec author: 'AndreiChis'.
		spec timestamp: '4/18/2016 22:57'.
		spec project: 'Ston' with: '0.18'.
		spec 
			package: #'GT-EventRecorder' with: 'GT-EventRecorder-PavelKrivanek.66';
			package: 'GT-EventRecorder-Tests' with: 'GT-EventRecorder-Tests-JurajKubelka.37'. ].
! !

!ConfigurationOfGTEventRecorder methodsFor: 'versions' stamp: 'AndreiChis 4/28/2016 16:25'!
version016: spec
	<version: '0.16' imports: #('0.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'GToolkit version 3.22 (case 17948)'.
		spec author: 'AndreiChis'.
		spec timestamp: '4/28/2016 16:25'.
		spec project: 'Ston' with: '0.19'.
		spec 
			package: #'GT-EventRecorder' with: 'GT-EventRecorder-PavelKrivanek.66';
			package: 'GT-EventRecorder-Tests' with: 'GT-EventRecorder-Tests-JurajKubelka.37'. ].
! !

!ConfigurationOfGTEventRecorder methodsFor: 'versions' stamp: 'PavelKrivanek 6/1/2016 10:35'!
version017: spec
	<version: '0.17' imports: #('0.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'sync with Pharo packages'.
		spec author: 'PavelKrivanek'.
		spec timestamp: '6/1/2016 11:40'.
		spec project: 'Ston' with: '0.19'.
		spec 
			package: #'GT-EventRecorder' with: 'GT-EventRecorder-TheIntegrator.68';
			package: 'GT-EventRecorder-Tests' with: 'GT-EventRecorder-Tests-JurajKubelka.37'. ].
! !

!ConfigurationOfGTEventRecorder methodsFor: 'versions' stamp: 'YuriyTymchuk 7/4/2016 10:57'!
version018: spec
	<version: '0.18' imports: #('0.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'GToolkit Version 3.23'.
		spec author: 'AndreiChis'.
		spec timestamp: '6/27/2016 12:09'.
		spec project: 'Ston' with: '0.19'.
		spec 
			package: #'GT-EventRecorder' with: 'GT-EventRecorder-YuriyTymchuk.69';
			package: 'GT-EventRecorder-Tests' with: 'GT-EventRecorder-Tests-JurajKubelka.37'. ].
! !

!ConfigurationOfGTEventRecorder methodsFor: 'versions' stamp: 'JurajKubelka 7/13/2016 10:06'!
version019: spec
	<version: '0.19' imports: #('0.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'Integration for case 18773.

Fixes these issues:
- case 18691
- case 18471
- case 18244
- case 18708

Apart from the issues:
- GT-InspectorExtensions: only show methods for the current class, added basic example for RBCondition
- Uses Pragma>>#methodSelector instead of Pragma>>#selector (case 18665).
- Uses Behavior>>#classLayout instead of Behavior>>#layout (case 16636).
- Uses CompiledMethod>>#sourceCode instead of CompiledMethod>>#getSource (case 18694).
- GT-EventRecorder: Add a basic recorder event'.
		spec author: 'JurajKubelka'.
		spec timestamp: '7/13/2016 10:06'.
		spec project: 'Ston' with: '0.19'.
		spec 
			package: #'GT-EventRecorder' with: 'a MCLazyVersionInfo(GT-EventRecorder-JurajKubelka.71)';
			package: 'GT-EventRecorder-Tests' with: 'a MCLazyVersionInfo(GT-EventRecorder-Tests-JurajKubelka.37)'. ].
! !

!ConfigurationOfGTEventRecorder methodsFor: 'versions' stamp: 'AndreiChis 11/9/2015 15:34'!
version01: spec
	<version: '0.1' imports: #('0.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'Updated GTools: 
  - bug fixes
  - deprecated PluggableTextMorph
  - improved event recorder'.
		spec author: 'AndreiChis'.
		spec timestamp: '11/9/2015 14:32'.
		spec project: 'Ston' with: '0.14'.
		spec 
			package: #'GT-EventRecorder' with: 'GT-EventRecorder-AndreiChis.26';
			package: 'GT-EventRecorder-Tests' with: 'GT-EventRecorder-Tests-JurajKubelka.17'. ].
! !

!ConfigurationOfGTEventRecorder methodsFor: 'versions' stamp: 'JurajKubelka 11/15/2015 19:01'!
version02: spec
	<version: '0.2' imports: #('0.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 0.2'.
		spec author: 'JurajKubelka'.
		spec timestamp: '11/15/2015 19:01'.
		spec project: 'Ston' with: '0.14'.
		spec 
			package: #'GT-EventRecorder' with: 'GT-EventRecorder-JurajKubelka.36';
			package: 'GT-EventRecorder-Tests' with: 'GT-EventRecorder-Tests-JurajKubelka.22'. ].
! !

!ConfigurationOfGTEventRecorder methodsFor: 'versions' stamp: 'AndreiChis 11/25/2015 18:00'!
version031: spec
	<version: '0.3.1' imports: #('0.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'Changes in the use of #garbageCollect'.
		spec author: 'AndreiChis'.
		spec timestamp: '11/25/2015 18:00'.
		spec project: 'Ston' with: '0.14'.
		spec 
			package: #'GT-EventRecorder' with: 'GT-EventRecorder-JurajKubelka.50';
			package: 'GT-EventRecorder-Tests' with: 'GT-EventRecorder-Tests-JurajKubelka.30'. ].
! !

!ConfigurationOfGTEventRecorder methodsFor: 'versions' stamp: 'AndreiChis 11/19/2015 20:58'!
version03: spec
	<version: '0.3' imports: #('0.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'Update GTools. 
 - bug fixes
 - improvements in the event recorder'.
		spec author: 'AndreiChis'.
		spec timestamp: '11/19/2015 20:58'.
		spec project: 'Ston' with: '0.14'.
		spec 
			package: #'GT-EventRecorder' with: 'GT-EventRecorder-AndreiChis.49';
			package: 'GT-EventRecorder-Tests' with: 'GT-EventRecorder-Tests-AndreiChis.29'. ].
! !

!ConfigurationOfGTEventRecorder methodsFor: 'versions' stamp: 'AndreiChis 1/7/2016 10:41'!
version04: spec
	<version: '0.4' imports: #('0.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'Load GTDebugger together with the extensions for SUnit and Bytecode.
Bugfixes (17190, 17206, 17336, 17337, 17225)'.
		spec author: 'AndreiChis'.
		spec timestamp: '1/7/2016 10:41'.
		spec project: 'Ston' with: '0.14'.
		spec 
			package: #'GT-EventRecorder' with: 'GT-EventRecorder-JurajKubelka.53';
			package: 'GT-EventRecorder-Tests' with: 'GT-EventRecorder-Tests-JurajKubelka.31'. ].
! !

!ConfigurationOfGTEventRecorder methodsFor: 'versions' stamp: 'JurajKubelka 1/7/2016 19:21'!
version05: spec
	<version: '0.5' imports: #('0.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 0.5. It fixes issues 17222 and 17341.'.
		spec author: 'JurajKubelka'.
		spec timestamp: '1/7/2016 19:20'.
		spec project: 'Ston' with: '0.14'.
		spec 
			package: #'GT-EventRecorder' with: 'GT-EventRecorder-JurajKubelka.53';
			package: 'GT-EventRecorder-Tests' with: 'GT-EventRecorder-Tests-JurajKubelka.32'. ].
! !

!ConfigurationOfGTEventRecorder methodsFor: 'versions' stamp: 'AndreiChis 1/8/2016 19:27'!
version06: spec
	<version: '0.6' imports: #('0.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'This version fixes problems in GTDebugger and updates  Rubric (issues: 17155, 17279, 17152)'.
		spec author: 'AndreiChis'.
		spec timestamp: '1/8/2016 19:27'.
		spec project: 'Ston' with: '0.14'.
		spec 
			package: #'GT-EventRecorder' with: 'GT-EventRecorder-JurajKubelka.53';
			package: 'GT-EventRecorder-Tests' with: 'GT-EventRecorder-Tests-JurajKubelka.32'. ].
! !

!ConfigurationOfGTEventRecorder methodsFor: 'versions' stamp: 'AndreiChis 1/10/2016 23:53'!
version07: spec
	<version: '0.7' imports: #('0.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'Fixes in the debugger, inspector and spotter.'.
		spec author: 'AndreiChis'.
		spec timestamp: '1/10/2016 23:53'.
		spec project: 'Ston' with: '0.14'.
		spec 
			package: #'GT-EventRecorder' with: 'GT-EventRecorder-JurajKubelka.53';
			package: 'GT-EventRecorder-Tests' with: 'GT-EventRecorder-Tests-JurajKubelka.32'. ].
! !

!ConfigurationOfGTEventRecorder methodsFor: 'versions' stamp: 'AndreiChis 1/23/2016 15:53'!
version08: spec
	<version: '0.8' imports: #('0.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'GToolkit version 3.10'.
		spec author: 'AndreiChis'.
		spec timestamp: '1/23/2016 15:53'.
		spec project: 'Ston' with: '0.14'.
		spec 
			package: #'GT-EventRecorder' with: 'GT-EventRecorder-JurajKubelka.55';
			package: 'GT-EventRecorder-Tests' with: 'GT-EventRecorder-Tests-JurajKubelka.32'. ].
! !

!ConfigurationOfGTEventRecorder methodsFor: 'versions' stamp: 'AndreiChis 2/18/2016 14:21'!
version09: spec
	<version: '0.9' imports: #('0.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'GTools version 3.11'.
		spec author: 'AndreiChis'.
		spec timestamp: '2/18/2016 14:21'.
		spec project: 'Ston' with: '0.14'.
		spec 
			package: #'GT-EventRecorder' with: 'GT-EventRecorder-JurajKubelka.59';
			package: 'GT-EventRecorder-Tests' with: 'GT-EventRecorder-Tests-JurajKubelka.36'. ].
! !
